Package tigase.form

## Class AbstractForm

- java.lang.Object
- - tigase.form.AbstractForm

- Direct Known Subclasses:
    `Form`

      public class AbstractForm
      extends java.lang.Object

  Created: 2007-05-27 11:41:02

  Author:
    bmalkow

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `instruction` |
    `protected java.util.logging.Logger` | `log` |
    `protected java.lang.String` | `title` |
    `protected java.lang.String` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractForm​(java.lang.String type, java.lang.String title, java.lang.String instruction)` |
    `AbstractForm​(Element form)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Element` | `getElement()` |
    `java.lang.String` | `getInstruction()` |
    `java.lang.String` | `getTitle()` |
    `java.lang.String` | `getType()` |
    `java.lang.String` | `getTypeOrElse​(java.lang.String defValue)` |
    `boolean` | `isType​(java.lang.String type)` |
    `void` | `setInstruction​(java.lang.String instruction)` |
    `void` | `setTitle​(java.lang.String title)` |
    `void` | `setType​(java.lang.String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final java.util.logging.Logger log

    - #### instruction

          protected java.lang.String instruction

    - #### title

          protected java.lang.String title

    - #### type

          protected java.lang.String type

  - ### Constructor Detail

    - #### AbstractForm

          public AbstractForm​(Element form)

    - #### AbstractForm

          public AbstractForm​(java.lang.String type,
                              java.lang.String title,
                              java.lang.String instruction)

  - ### Method Detail

    - #### getElement

          public Element getElement()

    - #### getInstruction

          public java.lang.String getInstruction()

    - #### setInstruction

          public void setInstruction​(java.lang.String instruction)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType​(java.lang.String type)

    - #### getTypeOrElse

          public java.lang.String getTypeOrElse​(java.lang.String defValue)

    - #### isType

          public boolean isType​(java.lang.String type)